<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwhd__event__ether__header" kind="struct" language="C++" prot="public">
    <compoundname>whd_event_ether_header</compoundname>
    <includes local="no">whd_events.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwhd__event__ether__header_1aecece25a401285d039a6f30991dad78e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwhd__mac__t">whd_mac_t</ref></type>
        <definition>whd_mac_t destination_address</definition>
        <argsstring />
        <name>destination_address</name>
        <briefdescription>
<para>Ethernet destination address. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_events.h" bodystart="127" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_events.h" line="127" />
      </memberdef>
      <memberdef id="structwhd__event__ether__header_1aceb7473ccdf9d41c5b6aee7a0264972a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwhd__mac__t">whd_mac_t</ref></type>
        <definition>whd_mac_t source_address</definition>
        <argsstring />
        <name>source_address</name>
        <briefdescription>
<para>Ethernet source address. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_events.h" bodystart="128" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_events.h" line="128" />
      </memberdef>
      <memberdef id="structwhd__event__ether__header_1aa9296c58dc24c63c4ee927db394a97d7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t ethertype</definition>
        <argsstring />
        <name>ethertype</name>
        <briefdescription>
<para>Ethertype for identifying event packets. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_events.h" bodystart="129" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_events.h" line="129" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure to store ethernet destination, source and ethertype in event packets. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="22">
        <label>whd_mac_t</label>
        <link refid="structwhd__mac__t" />
      </node>
      <node id="21">
        <label>whd_event_ether_header</label>
        <link refid="structwhd__event__ether__header" />
        <childnode refid="22" relation="usage">
          <edgelabel>source_address</edgelabel>
          <edgelabel>destination_address</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="130" bodyfile="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_events.h" bodystart="125" column="1" file="C:/Users/JIAC/Documents/08.SRC/whd/inc/whd_events.h" line="126" />
    <listofallmembers>
      <member prot="public" refid="structwhd__event__ether__header_1aecece25a401285d039a6f30991dad78e" virt="non-virtual"><scope>whd_event_ether_header</scope><name>destination_address</name></member>
      <member prot="public" refid="structwhd__event__ether__header_1aa9296c58dc24c63c4ee927db394a97d7" virt="non-virtual"><scope>whd_event_ether_header</scope><name>ethertype</name></member>
      <member prot="public" refid="structwhd__event__ether__header_1aceb7473ccdf9d41c5b6aee7a0264972a" virt="non-virtual"><scope>whd_event_ether_header</scope><name>source_address</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>